Loading...
Searching...
No Matches
nonstd::variants::detail::Comparator< Variant > Struct Template Reference

`#include <variant.hpp>`

## Static Public Member Functions

static bool | equal (Variant const &v, Variant const &w)
static bool | less_than (Variant const &v, Variant const &w)

## Detailed Description

template<class Variant>
struct nonstd::variants::detail::Comparator< Variant >

Definition at line 2571 of file variant.hpp.

## Member Function Documentation

## equal()

template<class Variant >

static bool nonstd::variants::detail::Comparator< Variant >::equal | ( | Variant const & | v,
|  | Variant const & | w
| ) |  |

inline static

Definition at line 2573 of file variant.hpp.

## less_than()

template<class Variant >

static bool nonstd::variants::detail::Comparator< Variant >::less_than | ( | Variant const & | v,
|  | Variant const & | w
| ) |  |

inline static

Definition at line 2598 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp